Lucene search

K
ubuntucveUbuntu.comUB:CVE-2019-18348
HistoryOct 23, 2019 - 12:00 a.m.

CVE-2019-18348

2019-10-2300:00:00
ubuntu.com
ubuntu.com
13

CVSS2

4.6

Attack Vector

LOCAL

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:L/AC:L/Au:N/C:P/I:P/A:P

CVSS3

6.1

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

CHANGED

Confidentiality Impact

LOW

Integrity Impact

LOW

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

EPSS

0.004

Percentile

72.0%

An issue was discovered in urllib2 in Python 2.x through 2.7.17 and urllib
in Python 3.x through 3.8.0. CRLF injection is possible if the attacker
controls a url parameter, as demonstrated by the first argument to
urllib.request.urlopen with \r\n (specifically in the host component of a
URL) followed by an HTTP header. This is similar to the CVE-2019-9740 query
string issue and the CVE-2019-9947 path string issue. (This is not
exploitable when glibc has CVE-2016-10739 fixed.). This is fixed in:
v2.7.18, v2.7.18rc1; v3.5.10, v3.5.10rc1; v3.6.11, v3.6.11rc1, v3.6.12;
v3.7.8, v3.7.8rc1, v3.7.9; v3.8.3, v3.8.3rc1, v3.8.4, v3.8.4rc1, v3.8.5,
v3.8.6, v3.8.6rc1.

Bugs

Notes

Author Note
leosilva This issue can be reproducible only in systems with the glibc issue mentioned in CVE-2016-10739 not fixed.
OSVersionArchitecturePackageVersionFilename
ubuntu18.04noarchpython2.7< 2.7.17-1~18.04ubuntu1UNKNOWN
ubuntu14.04noarchpython2.7< 2.7.6-8ubuntu0.6+esm5UNKNOWN
ubuntu16.04noarchpython2.7< 2.7.12-1ubuntu0~16.04.11UNKNOWN
ubuntu14.04noarchpython3.4< 3.4.3-1ubuntu1~14.04.7+esm6UNKNOWN
ubuntu14.04noarchpython3.5< 3.5.2-2ubuntu0~16.04.4~14.04.1+esm1UNKNOWN
ubuntu16.04noarchpython3.5< 3.5.2-2ubuntu0~16.04.10UNKNOWN
ubuntu18.04noarchpython3.6< 3.6.9-1~18.04ubuntu1UNKNOWN
ubuntu18.04noarchpython3.7< 3.7.5-2ubuntu1~18.04.2+esm3UNKNOWN
ubuntu19.10noarchpython3.7< 3.7.5-2~19.10ubuntu1UNKNOWN
ubuntu18.04noarchpython3.8< 3.8.0-3ubuntu1~18.04.2+esm2UNKNOWN
Rows per page:
1-10 of 121

CVSS2

4.6

Attack Vector

LOCAL

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:L/AC:L/Au:N/C:P/I:P/A:P

CVSS3

6.1

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

CHANGED

Confidentiality Impact

LOW

Integrity Impact

LOW

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

EPSS

0.004

Percentile

72.0%